net.minecraft.item

## Class ItemShears

- java.lang.Object
- - net.minecraft.item.Item
  - - net.minecraft.item.ItemShears

-     public class ItemShears
      extends Item

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraft.item.Item

      `Item.ToolMaterial`

  - ### Field Summary

    - ### Fields inherited from class net.minecraft.item.Item

      `bFull3D, canRepair, field_111210_e, hasSubtypes, iconString, itemIcon, itemRand, itemRegistry, maxStackSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ItemShears()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `func_150893_a(ItemStack p_150893_1_, Block p_150893_2_)`
    `boolean` | `func_150897_b(Block p_150897_1_)`
    `boolean` | `itemInteractionForEntity(ItemStack itemstack, EntityPlayer player, EntityLivingBase entity)`
    `boolean` | `onBlockDestroyed(ItemStack p_150894_1_, World p_150894_2_, Block p_150894_3_, int p_150894_4_, int p_150894_5_, int p_150894_6_, EntityLivingBase p_150894_7_)`
    `boolean` | `onBlockStartBreak(ItemStack itemstack, int x, int y, int z, EntityPlayer player)` Called before a block is broken.

    - ### Methods inherited from class net.minecraft.item.Item

      `addInformation, canHarvestBlock, canItemEditBlocks, createEntity, doesContainerItemLeaveCraftingGrid, doesSneakBypassUse, getArmorModel, getArmorTexture, getAttributeModifiers, getChestGenBase, getColorFromItemStack, getContainerItem, getContainerItem, getCreativeTab, getCreativeTabs, getDamage, getDigSpeed, getDisplayDamage, getDurabilityForDisplay, getEntityLifespan, getFontRenderer, getHarvestLevel, getHasSubtypes, getIcon, getIcon, getIconFromDamage, getIconFromDamageForRenderPass, getIconIndex, getIconString, getIdFromItem, getIsRepairable, getItemAttributeModifiers, getItemById, getItemEnchantability, getItemFromBlock, getItemStackDisplayName, getItemStackLimit, getItemStackLimit, getItemUseAction, getMaxDamage, getMaxDamage, getMaxItemUseDuration, getMetadata, getMovingObjectPositionFromPlayer, getPotionEffect, getRarity, getRenderPasses, getShareTag, getSmeltingExperience, getSpriteNumber, getSubItems, getToolClasses, getUnlocalizedName, getUnlocalizedName, getUnlocalizedNameInefficiently, hasContainerItem, hasContainerItem, hasCustomEntity, hasEffect, hasEffect, hitEntity, isBookEnchantable, isDamageable, isDamaged, isFull3D, isItemTool, isMap, isPotionIngredient, isRepairable, isValidArmor, onArmorTick, onCreated, onDroppedByPlayer, onEaten, onEntityItemUpdate, onEntitySwing, onItemRightClick, onItemUse, onItemUseFirst, onLeftClickEntity, onPlayerStoppedUsing, onUpdate, onUsingTick, registerIcons, registerItems, renderHelmetOverlay, requiresMultipleRenderPasses, setContainerItem, setCreativeTab, setDamage, setFull3D, setHarvestLevel, setHasSubtypes, setMaxDamage, setMaxStackSize, setNoRepair, setPotionEffect, setTextureName, setUnlocalizedName, shouldRotateAroundWhenRendering, showDurabilityBar`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ItemShears

          public ItemShears()

  - ### Method Detail

    - #### onBlockDestroyed

          public boolean onBlockDestroyed(ItemStack p_150894_1_,
                                 World p_150894_2_,
                                 Block p_150894_3_,
                                 int p_150894_4_,
                                 int p_150894_5_,
                                 int p_150894_6_,
                                 EntityLivingBase p_150894_7_)

      Overrides:
        `onBlockDestroyed` in class `Item`

    - #### func_150897_b

          public boolean func_150897_b(Block p_150897_1_)

      Overrides:
        `func_150897_b` in class `Item`

    - #### func_150893_a

          public float func_150893_a(ItemStack p_150893_1_,
                            Block p_150893_2_)

      Overrides:
        `func_150893_a` in class `Item`

    - #### itemInteractionForEntity

          public boolean itemInteractionForEntity(ItemStack itemstack,
                                         EntityPlayer player,
                                         EntityLivingBase entity)

      Overrides:
        `itemInteractionForEntity` in class `Item`

    - #### onBlockStartBreak

          public boolean onBlockStartBreak(ItemStack itemstack,
                                  int x,
                                  int y,
                                  int z,
                                  EntityPlayer player)

      Description copied from class: `Item`
      Called before a block is broken. Return true to prevent default block harvesting. Note: In SMP, this is called on both client and server sides!
      Overrides:
        `onBlockStartBreak` in class `Item`
      Parameters:
        `itemstack` - The current ItemStack
        `x` - The X Position
        `y` - The X Position
        `z` - The X Position
        `player` - The Player that is wielding the item
      Returns:
        True to prevent harvesting, false to continue as normal